Skip to main content
`Ctrl`+`K`
scipy.special.

# chebyc

scipy.special.chebyc(n, monic=False)

  Chebyshev polynomial of the first kind on \([-2, 2]\).

  Defined as \(C_n(x) = 2T_n(x/2)\), where \(T_n\) is the nth Chebychev polynomial of the first kind.

  Parameters:
    n int

      Degree of the polynomial.

    monic bool, optional

      If True, scale the leading coefficient to be 1. Default is False.

  Returns:
    C orthopoly1d

      Chebyshev polynomial of the first kind on \([-2, 2]\).

  See also

  `chebyt`

    Chebyshev polynomial of the first kind.

  Notes

  The polynomials \(C_n(x)\) are orthogonal over \([-2, 2]\) with weight function \(1/\sqrt{1 - (x/2)^2}\).

  References

  [1]

  Abramowitz and Stegun, “Handbook of Mathematical Functions” Section 22. National Bureau of Standards, 1972.